# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KCursorPrivateAutoHideEventFilter Class Reference

I don't want the eventFilter to be in KCursor, so we have another class for that stuff. More...

`#include <kcursor_private.h>`

Inheritance diagram for KCursorPrivateAutoHideEventFilter:

[legend]
Collaboration diagram for KCursorPrivateAutoHideEventFilter:

[legend]
List of all members.

## Public Member Functions

| KCursorPrivateAutoHideEventFilter (QWidget *widget)
virtual bool | eventFilter (QObject *o, QEvent *e)
void | resetWidget ()

## Detailed Description

I don't want the eventFilter to be in KCursor, so we have another class for that stuff.

Definition at line 39 of file kcursor_private.h.

The documentation for this class was generated from the following files:

- kcursor_private.h
- kcursor.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:50 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003